//
//  APIS.m
//  example_code_react_native
//
//  Created by Akhmad Al Qindi Irsyam on 27/06/23.
//

#import "NexilisSampleCode-Bridging-Header.h"

@interface RCT_EXTERN_MODULE(CallNative, NSObject) + (BOOL)requiresMainQueueSetup
{
  return YES;
}

RCT_EXTERN_METHOD(connect)
RCT_EXTERN_METHOD(openContactCenter)
RCT_EXTERN_METHOD(openChat)
RCT_EXTERN_METHOD(openCall)
RCT_EXTERN_METHOD(openStreaming)
RCT_EXTERN_METHOD(openSetting)
RCT_EXTERN_METHOD(openWhiteboard)
RCT_EXTERN_METHOD(openScreenSharing)
RCT_EXTERN_METHOD(openContactCenterChat:(NSInteger *)category)
RCT_EXTERN_METHOD(openContactCenterAudioCall:(NSInteger *)category)
RCT_EXTERN_METHOD(openContactCenterVideoCall:(NSInteger *)category)
RCT_EXTERN_METHOD(signInAdmin:(NSString *)pwd)
RCT_EXTERN_METHOD(openSetOfficer)
RCT_EXTERN_METHOD(openProfile)

@end
